<div class="col-6 offset-1 my-5" @Fading>
  <h3>{{pageTitle}} <span *ngIf="album">{{album.title}}</span></h3>
  <form #addSongForm="ngForm" (ngSubmit)="onSubmit(addSongForm)" *ngIf="song">
    <div class="form-group">
      <label for="number">Número de canción</label>
      <input type="number" id="number" name="number" #number="ngModel" [(ngModel)]="song.number" class="form-control" required>
      <small class="invalid-feedback d-block" *ngIf="number.invalid && number.touched">El número de canción no es válido</small>
    </div>
    <div class="form-group">
      <label for="text">Title</label>
      <input type="text" id="title" name="title" #title="ngModel" [(ngModel)]="song.title" class="form-control" required>
      <small class="invalid-feedback d-block"  *ngIf="title.invalid && title.touched">El título de canción no es válido</small>
    </div>
    <div class="form-group">
      <label for="duration">Duración</label>
      <input type="text" id="duration" name="duration" #duration="ngModel" [(ngModel)]="song.duration" class="form-control">
    </div>
    <div class="form-group" *ngIf="is_edit">
        <label for="audio_file">Fichero de audio</label>
        <input type="file" id="audio_file" (change)="fileChangeEvent($event)" class="form-control">
        <div *ngIf="song.file && song.file!=null" class="mt-2">
            <audio controls >
                <source type="audio/mpeg" src="{{url + 'song/get-file/' + song.file}}">
            </audio>
        </div>
    </div>  
    <div class="form-group">
      <button type="submit" class="btn btn-primary" [disabled]="addSongForm.form.invalid">{{buttonLabel}}</button>
    </div>
    <div class="alert" [ngClass]="status==true ? 'alert-success' : 'alert-danger' " *ngIf="message">{{message}}</div>
  </form>  
</div>

